vs2015能用vs2012开发吗

已举报 回答 关注

vs2015能用vs2012开发吗

  • 回答数

    8

  • 浏览数

    3,096

8个回答 默认排序
  • 默认排序
  • 按时间排序

已采纳
不可以,高版本向下兼容,低版本不兼容高版本 所以不可以
取消 评论
方法/步骤

1、先看问题,打开昨天工作的VS2012项目显示加载失败,多试几次还是不行,提示该项目需要用户输入,或是去C盘看一个什么样的文件夹。

2、不一会儿的时间,VS2012的项目界面下就会出现下面所示的界面,未能正确加载,此程序可能是配置或是安装另一程序导致

3、找到微软发布的相应更新包,
4、下载更新包

5、下载完成后运行下载文件,出现如下所示对话框,关掉VS2012后开始更新下载文件,选择继续

6、开始更新,慢慢等待更新完成

更新成功,然后重启VS2012,打开上次项目,加载失败问题解决,这样就可以正常打开VS2012正常加载以前的工程了。

7、工程打开,如下所示,成功解决。
取消 评论
是否绑定目录,.net版本是否对应!
取消 评论
步骤如下:1、新建一个Visual C++的“Win32项目”,建立一个空项目。
2、建立完成后,右键点击右边的“解决方案”中的“源文件”。
3、选择“添加”,然后添加“新建项”。
4、选择“Visual C++”中的C++文件,点“添加”。
5、在新加的C++文件里面写好代码,然后保存。
6、编译运行即可(快捷键Ctrl+F5)。
取消 评论
除了引用 相应的.dll,在程序中要使用 using引用相应的命名空间、类 不然要写完整的访问路径 ~~~~~~~~
取消 评论
vs2012先在有一些补丁,vs2010稳定性比它强
取消 评论
不要用vs开发驱动,驱动开发基本都是以C语言+DDK或WDF API为主,调试用windbg,一定要会用build命令和source、makefile、inx文件,因为以后修改这些文件的地方很多,如果看不懂,没办法做了。要学会用各种验证工具提前静态发现驱动程序中的问题,不要依赖于windbg单步调试,驱动基本都是并发的,人很难发现问题所在。
取消 评论
这与你使用的cocos2d版本有关,3.0之前cocos有2010和2012工程,3.0之后就只有2012了。如果你用的是3.0之前的版本,那其实就看你习惯用哪个vc版本了。但3.0起一定要用2012。
取消 评论
ZOL问答 > 电源 > 海盗船电源 > 其他分类 > vs2015能用vs2012开发吗

举报

感谢您为社区的和谐贡献力量请选择举报类型

举报成功

经过核实后将会做出处理
感谢您为社区和谐做出贡献

提示

确定要取消此次报名,退出该活动?